clear all
clc

a=input('Inserire il punto iniziale dell''intervallo: ');
b=input('Inserire il punto finale dell''intervallo: ');
n=input('Inserire il numenro di punti nell''intervallo: ');
flag=input('Digitare 0 se i punti sono equidistanziati, 1 se sono gli zeri di Chebyshev: ');

switch flag
    case 0
        x=linspace(a,b,n+1);
    case 1
        x=zeros(1,n+1);
        for i=1:n+1
            x(i)= ((a+b)/2)-(((b-a)/2)*(cos(((2*(i-1)+1)/(2*(n+1)))*pi)));
        end
    otherwise
        disp('Il valore di flag non  corretto');
        x=[];
end

y_i=funz(x);

plot(x,y_i,'o');

xx=linspace(a,b,10*(n+1));
yy=funz(xx);
hold on
plot(xx,yy);
c_interpn=InterpN(x,y_i);
p_hornern=HornerN(c_interpn,x,xx);
hold on
plot(xx,p_hornern,'m--')


p_spline=spline(x,y_i,xx);

hold on
plot(xx,p_spline,'g');