clear all
clc

n=input('dati che vogliamo raccogliere: ');
[x,y]=ginput(n);

plot(x,y,'ro')

L1=0.5;
L2=0.5;
R2=x.^2+y.^2;
R=sqrt(R2);

theta2=acos((R2-L1^2-L2^2)./(2*L1*L2));
beta=acos((R2+L1^2-L2^2)./(2*L1*R));
alpha=atan(y./x);
theta1=zeros(size(theta2,1),size(theta2,2));
for i=1:length(theta2)
    if theta2(i)<0
        theta1(i)=alpha(i)+beta(i);
    else
        theta1(i)=alpha(i)-beta(i);
    end
end

tabella= [theta1 theta2];
save motori.dat tabella

t=linspace(0,1,n);

z=linspace(0,1,100);

t1=spline(t,theta1,z);
t2=spline(t,theta2,z);

xx=L1*cos(t1)+L2*cos(t1+t2);
yy=L1*sin(t1)+L2*sin(t1+t2);
hold on
plot(xx,yy)
hold off